Std Refresh/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 5: Line 5:
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_DuplicateSelection.png
|IconL=
|IconC=Freecad.svg
|IconR=Std_BoxSelection.svg
|IconR=Std_BoxSelection.svg
|IconC=Freecad.svg
}}
}}


Line 14: Line 14:
</div>
</div>


==Description==


The '''Std Refresh''' command recomputes the active document. The command is disabled if the document does not require a recompute.
== Description ==
When used, this command recomputes all altered components on the screen and refreshes the display.


== Usage ==
==Usage==


# There are several ways to invoke the Refresh command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_Refresh.svg|16px]] [[Std_Refresh|Std Refresh]]}} button.
#* Pressing the {{KEY|F5}} keyboard shortcut
#* Select the {{MenuCommand|Edit → [[Image:Std_Refresh.svg|16px]] Refresh}} option from the menu.
#* Pressing the {{KEY|Ctrl}}+{{KEY|R}} keyboard shortcut
#* Use the keyboard shortcut: {{KEY|F5}}.
#* Pressing on the {{Button|[[Image:Std_Refresh.svg|16px]] [[Std_Refresh|Refresh]]}} button in the toolbar
#* Using the {{MenuCommand|{{StdMenu|[[Std Edit Menu|Edit]]}} → Refresh}} entry from the top menu


== Limitations ==
==Options==
FreeCAD will only allow Refresh when (according to the program's opinion) an alteration of a component happened.
Then the grayed-out Refresh-Icon will become blue.
To force a manual recompute you could use the macro [[Macro ForceRecompute|Force Recompute]]


* To force a recompute select the document or one or more objects in the [[Tree_view|Tree view]], choose the {{MenuCommand|Mark to recompute}} option from the context menu, and invoke the command.
== Scripting ==
* For objects, but not for documents, you can also choose {{MenuCommand|Recompute object}} from the same context menu ({{Version|0.19}}).


==Notes==
{{Emphasis|See also:}} [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


* For a macro that will recompute the active document see: [[Macro_ForceRecompute|Macro ForceRecompute]].
Recomputing the model can be done in [[macros|macros]] and from the [[Python console|Python console]] by using the {{incode|recompute}} method of the currently active document.

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To recompute a document use the {{incode|recompute}} method of the document object.


{{Code|code=
{{Code|code=
import FreeCAD as App
import FreeCAD


doc = App.newDocument()
doc = FreeCAD.newDocument()
doc.recompute()
doc.recompute()
# App.ActiveDocument.recompute()
}}
}}


Line 49: Line 51:
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_DuplicateSelection.png
|IconL=
|IconC=Freecad.svg
|IconR=Std_BoxSelection.svg
|IconR=Std_BoxSelection.svg
|IconC=Freecad.svg
}}
}}


{{Std Base navi}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 21:34, 23 March 2020

Std_Refresh

Системное название
Std_Refresh
Расположение в меню
Правка → Обновить
Верстаки
All
Быстрые клавиши
F5 or Ctrl+R
Представлено в версии
-
См. также
...

Description

The Std Refresh command recomputes the active document. The command is disabled if the document does not require a recompute.

Usage

  1. There are several ways to invoke the command:
    • Press the Std Refresh button.
    • Select the Edit → Refresh option from the menu.
    • Use the keyboard shortcut: F5.

Options

  • To force a recompute select the document or one or more objects in the Tree view, choose the Mark to recompute option from the context menu, and invoke the command.
  • For objects, but not for documents, you can also choose Recompute object from the same context menu (introduced in version 0.19).

Notes

Scripting

See also: FreeCAD Scripting Basics.

To recompute a document use the recompute method of the document object.

import FreeCAD

doc = FreeCAD.newDocument()
doc.recompute()